import Host from "./host";
import { GitConfigInfo, GitUrlInfo } from "../info";
export default abstract class BasicHost implements Host {
    private readonly httpRegex;
    private readonly gitRegex;
    protected abstract get separateFolder(): string | undefined;
    abstract get name(): string;
    abstract match(url: string): boolean;
    parse(configInfo: GitConfigInfo): GitUrlInfo;
    assemble(info: GitUrlInfo): string;
    protected assembleLink(info: GitUrlInfo): string;
}
