import { GitConfigInfo, GitUrlInfo } from "../info";
import BasicHost from "./basicHost";
export default class Vsts extends BasicHost {
    /**
     * The regular expression to match the VSTS Git URL.
     * @example https://my-tenant.visualstudio.com/DefaultCollection/MyCollection/_git/my-repo
     * @example ssh://my-tenant@my-tenant.visualstudio.com:22/DefaultCollection/MyCollection/_ssh/my-repo
     */
    private static urlRegex;
    protected get separateFolder(): string | undefined;
    get name(): string;
    match(url: string): boolean;
    parse(configInfo: GitConfigInfo): GitUrlInfo;
    assemble(info: GitUrlInfo): string;
}
