import { GitConfigInfo, Section } from "./info";
import { GitUrlResult } from "./result";
export { GitUrlResult } from "./result";
export default class GitUrls {
    static getUrls(filePath: string, section?: Section, hostType?: string): Promise<Map<string, GitUrlResult>>;
    static getUrl(configInfo: GitConfigInfo, hostType?: string): Promise<GitUrlResult>;
    private static parseConfigAsync;
    private static parseRemoteUrl;
    private static parseRef;
}
